<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class InitialSetupSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
		DB::table('protocols')->insert([
			'name'=>'BINKP',
			'port'=>24554,
			'active'=>TRUE,
		]);
		DB::table('protocols')->insert([
			'name'=>'EMSI',
			'port'=>60179,
			'active'=>TRUE,
		]);
		DB::table('software')->insert([
			'name'=>'Custom',
			'active'=>TRUE,
		]);

		DB::table('domains')->insert([
			'name' => 'private',
		]);

		DB::table('zones')->insert([
			'zone_id'=>'10',
			'domain_id'=>1,
			'public'=>TRUE,
			'active'=>TRUE,
			'name'=>'private',
			'description'=>'PrivateNet: Internal Testing Network'
		]);

		DB::table('nodes')->insert([
			'zone_id'=>'1',
			'host_id'=>'999',
			'node_id'=>'999',
			'is_host'=>TRUE,
			'active'=>TRUE,
			'system'=>'FTN Clearing House Dev',
			'sysop'=>'Deon George',
			'location'=>'Parkdale, AUS',
			'email'=>'deon@leenooks.net',
			'address'=>'fidohub.leenooks.net',
			'port'=>24554,
			'protocol_id'=>1,
			'software_id'=>1,
		]);

		DB::table('setups')->insert([
			'opt_md'=>'1',
		]);

		DB::table('setup')->insert([
			'node_id' => '1',
		]);
	}
}
